# WARNING - Generated by {fusen} from /dev/flat_study_squirrels.Rmd: do not edit by hand

#' Save an ouput as csv file
#'
#' @param df Data.frame. The table to be saved
#' @param path Character. Path where data will be save
#' @param ... Additional arguments of write.csv2
#' 
#' @importFrom tools file_ext
#' @importFrom utils write.csv2
#'
#' @return Character. The path where data are saved
#' @export
#'
#' @examples
#' # Création d'un dossier temporaire
#' mon_dossier_temp <- tempfile(pattern = "savecsv")
#' dir.create(mon_dossier_temp)
#' 
#' # ok : le fichier .csv est enregistré dans le projet actuel
#' # iris |> save_as_csv(file.path(mon_dossier_temp, "output.csv")) 
#' save_as_csv(df = iris, path = file.path(mon_dossier_temp, "output.csv"))
#' 
#' save_as_csv(
#'   df = iris, 
#'   path = file.path(mon_dossier_temp, "output.csv"),
#'   na= "Missing"
#'   )
#' 
save_as_csv <- function(df, path, ...) {
  
  if (isFALSE(is.data.frame(df))) {
    stop("Data must be a data.frame")
  }
  
  if (isTRUE(nrow(df) == 0)) {
    stop("Data has to be not empty")
  }
  
  if (isFALSE(file_ext(path) == "csv")) {
    stop("Path must be with .csv extension")
  }
  
  write.csv2(
    x = df,
    file = path,
    ...
  )
  
  return(path)
}
